Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.icatch.jaxb.wsat.v200410
Class ObjectFactory

    java.lang.Object
      com.atomikos.icatch.jaxb.wsat.v200410.ObjectFactory

    public class ObjectFactory

extends Object

This object contains factory methods for each Java content interface and Java element interface generated in the com.atomikos.icatch.jaxb.wsat.v200410 package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

Constructor Summary
`ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.atomikos.icatch.jaxb.wsat.v200410

Method Summary
`javax.xml.bind.JAXBElement<Notification>` | `createAborted(Notification value)` Create an instance of `JAXBElement``<``Notification``>`}
`ATAlwaysCapability` | `createATAlwaysCapability()` Create an instance of `ATAlwaysCapability`
`ATAssertion` | `createATAssertion()` Create an instance of `ATAssertion`
`Body` | `createBody()` Create an instance of `Body`
`javax.xml.bind.JAXBElement<Body>` | `createBody(Body value)` Create an instance of `JAXBElement``<``Body``>`}
`javax.xml.bind.JAXBElement<Notification>` | `createCommit(Notification value)` Create an instance of `JAXBElement``<``Notification``>`}
`javax.xml.bind.JAXBElement<Notification>` | `createCommitted(Notification value)` Create an instance of `JAXBElement``<``Notification``>`}
`Detail` | `createDetail()` Create an instance of `Detail`
`Envelope` | `createEnvelope()` Create an instance of `Envelope`
`javax.xml.bind.JAXBElement<Envelope>` | `createEnvelope(Envelope value)` Create an instance of `JAXBElement``<``Envelope``>`}
`Fault` | `createFault()` Create an instance of `Fault`
`javax.xml.bind.JAXBElement<Fault>` | `createFault(Fault value)` Create an instance of `JAXBElement``<``Fault``>`}
`Header` | `createHeader()` Create an instance of `Header`
`javax.xml.bind.JAXBElement<Header>` | `createHeader(Header value)` Create an instance of `JAXBElement``<``Header``>`}
`Notification` | `createNotification()` Create an instance of `Notification`
`javax.xml.bind.JAXBElement<Notification>` | `createPrepare(Notification value)` Create an instance of `JAXBElement``<``Notification``>`}
`javax.xml.bind.JAXBElement<Notification>` | `createPrepared(Notification value)` Create an instance of `JAXBElement``<``Notification``>`}
`PrepareResponse` | `createPrepareResponse()` Create an instance of `PrepareResponse`
`javax.xml.bind.JAXBElement<Notification>` | `createReadOnly(Notification value)` Create an instance of `JAXBElement``<``Notification``>`}
`javax.xml.bind.JAXBElement<Notification>` | `createReplay(Notification value)` Create an instance of `JAXBElement``<``Notification``>`}
`ReplayResponse` | `createReplayResponse()` Create an instance of `ReplayResponse`
`javax.xml.bind.JAXBElement<Notification>` | `createRollback(Notification value)` Create an instance of `JAXBElement``<``Notification``>`}

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectFactory

    public ObjectFactory()

  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.atomikos.icatch.jaxb.wsat.v200410

Method Detail

### createEnvelope

    public Envelope createEnvelope()

  Create an instance of `Envelope`

### createATAssertion

    public ATAssertion createATAssertion()

  Create an instance of `ATAssertion`

### createHeader

    public Header createHeader()

  Create an instance of `Header`

### createPrepareResponse

    public PrepareResponse createPrepareResponse()

  Create an instance of `PrepareResponse`

### createNotification

    public Notification createNotification()

  Create an instance of `Notification`

### createBody

    public Body createBody()

  Create an instance of `Body`

### createATAlwaysCapability

    public ATAlwaysCapability createATAlwaysCapability()

  Create an instance of `ATAlwaysCapability`

### createFault

    public Fault createFault()

  Create an instance of `Fault`

### createReplayResponse

    public ReplayResponse createReplayResponse()

  Create an instance of `ReplayResponse`

### createDetail

    public Detail createDetail()

  Create an instance of `Detail`

### createAborted

    public javax.xml.bind.JAXBElement<Notification> createAborted(Notification value)

  Create an instance of `JAXBElement``<``Notification``>`}

### createRollback

    public javax.xml.bind.JAXBElement<Notification> createRollback(Notification value)

  Create an instance of `JAXBElement``<``Notification``>`}

### createReadOnly

    public javax.xml.bind.JAXBElement<Notification> createReadOnly(Notification value)

  Create an instance of `JAXBElement``<``Notification``>`}

### createEnvelope

    public javax.xml.bind.JAXBElement<Envelope> createEnvelope(Envelope value)

  Create an instance of `JAXBElement``<``Envelope``>`}

### createFault

    public javax.xml.bind.JAXBElement<Fault> createFault(Fault value)

  Create an instance of `JAXBElement``<``Fault``>`}

### createReplay

    public javax.xml.bind.JAXBElement<Notification> createReplay(Notification value)

  Create an instance of `JAXBElement``<``Notification``>`}

### createPrepared

    public javax.xml.bind.JAXBElement<Notification> createPrepared(Notification value)

  Create an instance of `JAXBElement``<``Notification``>`}

### createCommitted

    public javax.xml.bind.JAXBElement<Notification> createCommitted(Notification value)

  Create an instance of `JAXBElement``<``Notification``>`}

### createCommit

    public javax.xml.bind.JAXBElement<Notification> createCommit(Notification value)

  Create an instance of `JAXBElement``<``Notification``>`}

### createPrepare

    public javax.xml.bind.JAXBElement<Notification> createPrepare(Notification value)

  Create an instance of `JAXBElement``<``Notification``>`}

### createHeader

    public javax.xml.bind.JAXBElement<Header> createHeader(Header value)

  Create an instance of `JAXBElement``<``Header``>`}

### createBody

    public javax.xml.bind.JAXBElement<Body> createBody(Body value)

  Create an instance of `JAXBElement``<``Body``>`}

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.